Loading...
Searching...
No Matches
geo_size

## Detailed Description

Definition at line 29 of file geo_size.h.

## Public Types

typedef distributor::size_type | size_type

## Public Member Functions

| geo_size ()
size_type | map_dimension () const
size_type | dis_ige2variant (size_type map_dim, size_type dis_ige) const
size_type | dis_ige2dis_igev_by_variant (size_type variant, size_type dis_ige) const
size_type | dis_ige2dis_igev_by_dimension (size_type map_dim, size_type dis_ige) const
size_type | dis_ige2dis_igev_by_dimension (size_type map_dim, size_type dis_ige, size_type &variant) const
size_type | dis_ige2dis_igev (size_type map_dim, size_type dis_ige) const
size_type | dis_inod2dis_iv (size_type dis_inod) const
size_type | dis_iv2dis_inod (size_type dis_iv) const

## Public Attributes

size_type | _map_dimension
distributor | ownership_by_dimension [4]
distributor | ownership_by_variant [reference_element::max_variant]
distributor | node_ownership
distributor | first_by_variant [reference_element::max_variant]

## Protected Member Functions

size_type | _dis_ige2dis_igev (size_type map_dim, size_type variant, size_type dis_ige) const

## Member Typedef Documentation

## size_type

typedef distributor::size_type size_type

Definition at line 33 of file geo_size.h.

## Constructor & Destructor Documentation

## geo_size()

geo_size | ( |  | ) |

Definition at line 73 of file geo_size.h.

## Member Function Documentation

## map_dimension()

size_type map_dimension | ( |  | ) | const

Definition at line 41 of file geo_size.h.

## dis_ige2variant()

geo_size::size_type dis_ige2variant | ( | size_type | map_dim,
|  | size_type | dis_ige
| ) |  | const

Definition at line 33 of file geo_size.cc.

## dis_ige2dis_igev_by_variant()

geo_size::size_type dis_ige2dis_igev_by_variant | ( | size_type | variant,
|  | size_type | dis_ige
| ) |  | const

Definition at line 98 of file geo_size.cc.

## dis_ige2dis_igev_by_dimension() [1/2]

geo_size::size_type dis_ige2dis_igev_by_dimension | ( | size_type | map_dim,
|  | size_type | dis_ige
| ) |  | const

Definition at line 90 of file geo_size.cc.

## dis_ige2dis_igev_by_dimension() [2/2]

geo_size::size_type dis_ige2dis_igev_by_dimension | ( | size_type | map_dim,
|  | size_type | dis_ige,
|  | size_type & | variant
| ) |  | const

Definition at line 81 of file geo_size.cc.

## dis_ige2dis_igev()

size_type dis_ige2dis_igev | ( | size_type | map_dim,
|  | size_type | dis_ige
| ) |  | const

## dis_inod2dis_iv()

geo_size::size_type dis_inod2dis_iv | ( | size_type | dis_inod | ) | const

Definition at line 110 of file geo_size.cc.

## dis_iv2dis_inod()

geo_size::size_type dis_iv2dis_inod | ( | size_type | dis_iv | ) | const

Definition at line 122 of file geo_size.cc.

## _dis_ige2dis_igev()

geo_size::size_type _dis_ige2dis_igev | ( | size_type | map_dim,
|  | size_type | variant,
|  | size_type | dis_ige
| ) |  | const

protected

Definition at line 55 of file geo_size.cc.

## Member Data Documentation

## _map_dimension

size_type _map_dimension

Definition at line 62 of file geo_size.h.

## ownership_by_dimension

distributor ownership_by_dimension[4]

Definition at line 63 of file geo_size.h.

## ownership_by_variant

distributor ownership_by_variant[reference_element::max_variant]

Definition at line 64 of file geo_size.h.

## node_ownership

distributor node_ownership

Definition at line 65 of file geo_size.h.

## first_by_variant

distributor first_by_variant[reference_element::max_variant]

Definition at line 66 of file geo_size.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_size.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_size.cc